From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/pry/
Date: Sun, 22 Jan 2023 08:30:14 +0000 (UTC) [thread overview]
Message-ID: <1674376211.939491141279879b3e10e0696344bdf293de52b0.graaff@gentoo> (raw)
commit: 939491141279879b3e10e0696344bdf293de52b0
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 22 08:22:48 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jan 22 08:30:11 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93949114
dev-ruby/pry: add 0.14.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/pry/Manifest | 1 +
dev-ruby/pry/pry-0.14.2.ebuild | 45 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 46 insertions(+)
diff --git a/dev-ruby/pry/Manifest b/dev-ruby/pry/Manifest
index 0eaac44be6b0..884d8b1c62f6 100644
--- a/dev-ruby/pry/Manifest
+++ b/dev-ruby/pry/Manifest
@@ -1 +1,2 @@
DIST pry-0.14.1.tar.gz 239261 BLAKE2B 46bba71668cbfcb710ebf4f8921d1b4cbaad887b1546b4566a90f9f246f1ff41451ccabb4a8692bb8a404532227aaa72b2d530fa4451bf1b7141cb6f57dfea1a SHA512 b258d1ae7ffd82c6fbed7edbd6e9bc64006eb54e3376a2f85b7482e0517be34efb46a2264975820cac3b7c0bea89b855b4d2a6fb104ff760f25667e1afb3ba44
+DIST pry-0.14.2.tar.gz 239170 BLAKE2B a6370affcee671b293f33f65613607009d46b361fa241e47a1828c85e484dc82909ab8d307c2d20545253dd19115875788d1ab151b793e90246df4a7fec28cff SHA512 890ab8399899864c109919637e2641cafaf2d895db6ab4912bf856799708e08a68f4c9fbb5c505a75c160af30c4eabccfd52fa92cfa1dd3be7ae776ba0476660
diff --git a/dev-ruby/pry/pry-0.14.2.ebuild b/dev-ruby/pry/pry-0.14.2.ebuild
new file mode 100644
index 000000000000..1ac6df00cb29
--- /dev/null
+++ b/dev-ruby/pry/pry-0.14.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md"
+RUBY_FAKEGEM_GEMSPEC=${PN}.gemspec
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pry is a powerful alternative to the standard IRB shell for Ruby"
+HOMEPAGE="https://github.com/pry/pry/wiki"
+SRC_URI="https://github.com/pry/pry/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+IUSE=""
+SLOT="ruby19"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+ruby_add_rdepend "
+ >=dev-ruby/coderay-1.1:0
+ =dev-ruby/method_source-1*"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/open4-1.3
+ >=dev-ruby/rake-0.9
+ >=dev-ruby/mocha-1.0
+ )"
+
+all_ruby_prepare() {
+ # Avoid unneeded dependency on git.
+ # Loosen coderay dependency.
+ sed -e '/git ls-files/d' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -e '/[Bb]undler/d' -i spec/spec_helper.rb || die
+
+ # Skip integration tests because they depend to much on specifics of the environment.
+ rm -f spec/integration/* || die
+ sed -i -e '/loads files through repl and exits/askip "depends on parent directory"' spec/cli_spec.rb || die
+}
next reply other threads:[~2023-01-22 8:30 UTC|newest]
Thread overview: 42+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-22 8:30 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-25 9:01 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/pry/ Hans de Graaff
2024-11-16 8:12 Hans de Graaff
2024-09-11 15:04 Arthur Zamarin
2024-07-12 6:21 Ionen Wolkens
2024-07-02 3:56 Ionen Wolkens
2024-06-08 11:12 Arthur Zamarin
2024-02-11 7:26 Hans de Graaff
2023-07-11 4:37 Hans de Graaff
2023-03-18 0:03 Sam James
2022-10-09 7:22 Hans de Graaff
2022-05-08 16:12 WANG Xuerui
2022-05-01 6:34 Hans de Graaff
2022-04-26 13:45 Sam James
2021-08-14 9:05 Marek Szuba
2021-07-10 6:23 Hans de Graaff
2021-04-05 6:05 Hans de Graaff
2021-02-27 6:23 Hans de Graaff
2020-11-29 0:13 Sergei Trofimovich
2020-09-22 6:33 Sergei Trofimovich
2020-07-26 15:12 Hans de Graaff
2020-04-25 12:16 Hans de Graaff
2019-05-09 5:54 Hans de Graaff
2019-05-09 5:54 Hans de Graaff
2018-12-08 7:47 Hans de Graaff
2018-12-08 7:47 Hans de Graaff
2018-11-09 7:19 Hans de Graaff
2018-04-17 16:10 Hans de Graaff
2018-02-08 6:25 Hans de Graaff
2017-11-18 6:58 Hans de Graaff
2017-10-23 21:38 Sergei Trofimovich
2017-10-19 5:57 Hans de Graaff
2017-10-01 6:00 Hans de Graaff
2017-09-23 5:55 Hans de Graaff
2017-08-22 9:19 Sergei Trofimovich
2017-07-19 6:55 Hans de Graaff
2017-07-19 6:55 Hans de Graaff
2016-07-26 5:28 Hans de Graaff
2016-04-16 5:59 Hans de Graaff
2016-04-16 5:59 Hans de Graaff
2015-12-22 21:51 Manuel Rüger
2015-09-25 6:04 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1674376211.939491141279879b3e10e0696344bdf293de52b0.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox